%define src_ver 22cs072
%define languagelocal esk
%define languageeng czech
%define languagecode cs

Summary: 	Czech files for ispell
Summary(cs): esk slovnk pro korektor peklep ispell
Name: 		ispell-%{languagecode} 
Version: 	3.1.20
Release: 	3mdk
URL: 		None
Source:		ftp://ftp.vslib.cz/pub/unix/ispell/ispell-czech.tar.bz2
Copyright: 	GPL
Group: 		System/Internationalization
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix: 	%{_prefix}
BuildArchitectures: noarch
Autoreqprov: no

Requires: locales-%{languagecode}
Requires: ispell
Provides: ispell-dictionary

Obsoletes: ispell.cz
Obsoletes: ispell-czech
Obsoletes: iczech

%description
Czech dictionary and affixes file for the spell checker ispell.
You can run it on text files and it will interactively check spelling.
This means it will tell you about words it doesn't know, and will
suggest alternatives when it can. Some editors may have built spell
checking based on ispell.

%description -l cs
esk slovnk a soubor afix pro spell checker ispell. Ispell s tmto
slovnkem umouje interaktivn hledn peklep v eskch textech.
Vyhledv a vypisuje slova, kter nejsou ve slovnku, a ppadn
nabz jejich nhradu podobnmi slovy. Nkter textov editory mohou
mt podporu pro ispell vestavnu.

%prep
%setup -n ispell-%{languageeng}

%build
make %{languageeng}.a-z
mv -f %{languageeng}.a-z %{languagelocal}.hash
mv -f %{languageeng}.aff %{languagelocal}.aff

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ispell

install -m 644 %{languagelocal}.aff $RPM_BUILD_ROOT%{_libdir}/ispell/%{languagelocal}.aff
install -m 644 %{languagelocal}.hash $RPM_BUILD_ROOT%{_libdir}/ispell/%{languagelocal}.hash

# LaTeX babel
if [ "%{languagelocal}" != "%{languageeng}" ];then
 cd $RPM_BUILD_ROOT%{_libdir}/ispell
 ln -s %{languagelocal}.aff %{languageeng}.aff
 ln -s %{languagelocal}.hash %{languageeng}.hash
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_libdir}/ispell
mv -f %{languagelocal}.hash %{languagelocal}.ispell
buildhash %{languagelocal}.ispell %{languagelocal}.aff %{languagelocal}.hash &> /dev/null
rm -f %{languagelocal}.ispell.stat %{languagelocal}.ispell.cnt %{languagelocal}.ispell

%files
%defattr(644, root, root,755)
%doc README* LICENSE
%{_libdir}/ispell/*

%changelog
* Sat Aug 26 2000 Troels Liebe Bentsen <tlb@iname.com> 3.1.20-3mdk
- Small fix to the spec, no output on buildhash.

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 3.1.20-2mdk
- Cleaned up the spec, updated to new version and moved to standard template.

* Thu Aug 10 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 3.1.20-1mdk
- updated version

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.69-2mdk
- BM

* Tue Apr 13 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.69-1mdk
- updated the dictionnaries (thanks to Vladimr Marek)

* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.001-3mdk
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Obsoletes: for easier installation over other rpms of same language

* Fri Dec 03 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- First version for Mandrake.
